/* abakus.cpp -- Copyright (c) 2004 Michael Pyne <michael.pyne@kdemail.net>
 * This software is licensed under the terms of the GNU General Public License,
 * v2 (or any later version).  This software is distributed WITH ABSOLUTELY NO
 * WARRANTY!.
 */
#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>

#include "mainwindow.h"
#include "error_handler.h"

int main(int argc, char **argv)
{
    KAboutData *about = new KAboutData("abakus", I18N_NOOP("abakus"), "0.76",
        I18N_NOOP("A simple keyboard-driven calculator"), KAboutData::License_GPL);

    about->addAuthor("Michael Pyne",
                     I18N_NOOP("Developer"),
                     "michael.pyne@kdemail.net",
		     "http://grammarian.homelinux.net/");
    about->addCredit("Roberto Alsina",
                     I18N_NOOP("Came up with the initial idea, along with a Python implementation."),
		     "ralsina@netline.com.ar",
		     "http://dot.kde.org/1096309744/");
    about->addCredit("Zack Rusin",
                     I18N_NOOP("Inspiration/code for the initial design came from his Ruby implementation."),
		     "zack@kde.org");
    about->addCredit("Ariya Hiyadat",
                     I18N_NOOP("Inspiration for the new design came from his C++ implementation (SpeedCrunch)"),
		     "zack@kde.org",
		     "http://speedcrunch.berlios.de/");
    KCmdLineArgs::init(argc, argv, about);
    KApplication app;
    MainWindow *win = new MainWindow;

    // The parser will post Error messages to the MainWindow when a
    // parse error occurs.
    declare_error_receiver(win);

    app.setMainWidget(win);
    app.connect(&app, SIGNAL(lastWindowClosed()), SLOT(quit()));
    win->show();
    win->resize(500, 300);
    
    return app.exec();
}
