#ifndef ABAKUS_DCOP_IFACE
#define ABAKUS_DCOP_IFACE

#include <kdebug.h>
#include <dcopobject.h>

#include <qstring.h>

#include "mainwindow.h"
#include "numerictypes.h"
#include "error_handler.h"
#include "function.h"

class AbakusIface : virtual public DCOPObject
{
    K_DCOP
    public:
    AbakusIface() : DCOPObject("Calculator")
    {
    }

    k_dcop:
    virtual double evaluate(const QString &expr)
    {
	Abakus::number_t result;
	receiver_t receiver = get_error_receiver();

	result = parseString(expr.latin1());

	declare_error_receiver(receiver);
	return static_cast<double>(result);
    }
};

#endif
