/* error_handler.cpp -- Copyright (c) 2004 Michael Pyne <michael.pyne@kdemail.net>
 * This software is licensed under the terms of the GNU General Public License,
 * v2 (or any later version).  This software is distributed WITH ABSOLUTELY NO
 * WARRANTY!.
 */

/* This is the Qt-based implementation of error_handler.h for use with
 * abakus.cpp
 */
#include <kdebug.h>

#include <qapplication.h>

#include "error_handler.h"

receiver_t errorReceiver = 0;

void declare_error_receiver(receiver_t receiver)
{
    errorReceiver = receiver;
}

receiver_t get_error_receiver(void)
{
    return errorReceiver;
}

void post_error_message(const char *str, const char *ref)
{
    if(errorReceiver) {
	ErrorEvent *e = new ErrorEvent(QString(str).arg(ref));
	qApp->postEvent(errorReceiver, e);
    }
    else {
	kdWarning() << "Trying to post an event to a null receiver!\n";
	kdWarning() << str << ", " << ref << endl;
    }
}

int yyerror(const char *s)
{
    (void) s;
    return 0;
}
