#ifndef ABAKUS_RESULTLISTBOXTEXT_H
#define ABAKUS_RESULTLISTBOXTEXT_H

#include <qlistbox.h>
#include <qcolor.h>

class KListBox;
class QPainter;

// This class shows the results shown in the MainWindow result pane.
class ResultListBoxText : public QListBoxText
{
    public:
    ResultListBoxText(KListBox *listBox,
                      const QString &text,
		      const QString &result,
		      ResultListBoxText *after,
		      bool isError = false);
    virtual int width(const QListBox *lb) const;
    virtual int height(const QListBox *lb) const;

    QString expressionText() const { return m_text; }
    QString resultText() const { return m_result; }

    bool wasError() const { return m_wasError; }
    unsigned stackPosition() const { return m_stackPosition; }

    void setStackPosition(unsigned pos) { m_stackPosition = pos; }

    protected:
    virtual void paint(QPainter *p);
    bool drawAlternate() const { return m_alternate; }
    QRect rect() const { return QRect(0, 0, width(listBox()), height(listBox())); }

    static QColor alternateColor();

    private:
    QString m_text, m_result;
    bool m_alternate;
    bool m_wasError;
    unsigned m_stackPosition;

    static QColor m_altColor;
    static bool m_altColorCached;
    static int m_resultWidth;
};

#endif
